import { CloudOptions } from '../CloudOptions';
import { IHttpClient } from '../http/IHttpClient';
import { IMultiPropertiesCloudClient } from '../client/ICloudClient';
import { ICloudClientBuilder, MqttConnection } from './ICloudClientBuilder';
declare type APIOptions = {
    apiUrl?: string;
    clientId: string;
    audience?: string;
    clientSecret: string;
};
export declare class APIClientBuilder implements ICloudClientBuilder {
    private client;
    protected mqttConnect: MqttConnection;
    constructor(client: IHttpClient, mqttConnect: MqttConnection);
    canBuild(options: APIOptions & CloudOptions): boolean;
    build(options: APIOptions & CloudOptions): Promise<IMultiPropertiesCloudClient>;
    private connection;
}
declare global {
    interface IArduinoIoTCloudFactory {
        connect(options: APIOptions & Partial<CloudOptions>): Promise<IMultiPropertiesCloudClient>;
    }
}
export {};
