import { CloudOptions } from '../CloudOptions';
import { ISinglePropertyCloudClient } from '../client/ICloudClient';
import { ICloudClientBuilder, MqttConnection } from './ICloudClientBuilder';
export declare type CredentialsOptions = {
    deviceId: string;
    secretKey: string;
};
export declare class CredentialsClientBuilder implements ICloudClientBuilder {
    private mqttConnect;
    constructor(mqttConnect: MqttConnection);
    canBuild(options: CredentialsOptions & CloudOptions): boolean;
    build(options: CredentialsOptions & CloudOptions): Promise<ISinglePropertyCloudClient>;
    private connection;
}
declare global {
    interface IArduinoIoTCloudFactory {
        connect(options: CredentialsOptions & Partial<CloudOptions>): Promise<ISinglePropertyCloudClient>;
    }
}
